#21 Running configure

open
nobody
None
5
2015-03-24
2003-05-30
Andrew Eddie
No

Please accept my apology for being a newbie at linux
(usually on Windows but slowly converting). I have
just run up a redhat 9 system with Gnome 2.0. On the
install I have included the Gnome development options
which (the installer says) should include all the gtk
libraries. However, when I run configure it fails to
find libgtkhtml-2.0.

I cannot find libgtkhtml-2.0.pc as it suggest but I do
have the following files in /usr/lib/
/usr/lib/libgtkhtml-2.so.0.0.0
/usr/lib/libgtkhtml-2.so.0
/usr/lib/libgtkhtml-1.1.so.3
/usr/lib/libgtkhtml-1.1.so.3.0.3
/usr/lib/libgtkhtml-1.1.a
/usr/lib/libgtkhtml-1.1.so

I am looking for an alternative to editplus
(www.editplus.com) that I normally use on windows. I
just can't bring myself to use vim or emacs :) Screem
seems to fit the bill nicely.

Any help you could offer would be appreciated.

Regards,
Andrew Eddie

Discussion

  • David A Knight
    David A Knight
    2003-05-31

    Logged In: YES
    user_id=736

    the libgtkhtml-2-devel package needs to be installed, this
    is not a normal part of gtk, so that is probably why it
    isn't pulled in.

     
  • Andrew Eddie
    Andrew Eddie
    2003-05-31

    Logged In: YES
    user_id=507145

    Thanks David. I can get the rpm from here
    http://www.hklpg.org/RPM/gnomehide/8.0/RPMS/gtkhtml2-devel-2.0.1-3.i386.html
    I assume this might work on RH9 as well. However, it has a
    number of other 'devel' dependancies as well.

    # gtk2-devel >= 1.3.11
    # libxml2-devel >= 2.4.10
    # gnome-vfs2-devel >= 1.9.4.90
    # gail-devel

    Do I have to load them in first?
    Regards,
    Andrew Eddie